> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List workflows

GET https://rest.test.zuora.com/workflows

Retrieves a list of workflow definitions available in your Zuora tenant.

### User Access Permission
You must be assigned the **Workflow View Access** permission to run this operation.   


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/workflow/workflows/get-workflows

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `callout_trigger` (boolean, optional) — If set to true, the operation retrieves workflows that have the callout trigger enabled. If set to false, the operation retrieves workflows that have the callout trigger disabled. If not specified, the operation will not use this filter.
- `interval` (string, optional) — A CRON expession that specifies a schedule (for example, `0 0 * * *`). If specified, the operation retrieves the workflow that is run based on the specified schedule.
- `name` (string, optional) — If specified, the operation retrieves the workflow that is in the specified name.
- `ondemand_trigger` (boolean, optional) — If set to true, the operation retrieves workflows that have the ondemand trigger enabled. If set to false, the operation retrieves workflows that have the ondemand trigger disabled. If not specified, the operation will not use this filter.
- `scheduled_trigger` (boolean, optional) — If set to true, the operation retrieves workflows that have the scheduled trigger enabled. If set to false, the operation retrieves workflows that have the scheduled trigger disabled. If not specfied, the operation will not use this filter.
- `page` (integer, optional, default: 1) — If you want to retrieve only the workflows on a specific page, you can specify the `page` number in the query.
- `page_length` (integer, optional, default: 20) — The number of workflows shown in a single call. If the `page` parameter is not specified, the operation will return only the first page of results. If there are multiple pages of results, use it with the `page` parameter to get the results on subsequent pages. The maximum value is 50.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK

- `data` (list of WorkflowDefinitionAndVersions, optional) — The list of workflows retrieved.
- `pagination` (GetWorkflowsResponsePagination, optional) — An object containing pagination information for the list of workflows returned by the api

## Types

### WorkflowDefinitionAndVersions

A workflow.

- `active_version` (WorkflowDefinitionAndVersionsActiveVersion, optional) — Information of the active version.
- `calloutTrigger` (boolean, optional) — Indicates whether the callout trigger is enabled for the retrieved workflow.
- `createdAt` (string, optional) — The date and time when the workflow is created, in the `YYYY-MM-DD HH:MM:SS` format.
- `description` (string, optional) — The description of the workflow definition.
- `id` (integer, optional) — The unique ID of the workflow definition.
- `interval` (string, optional) — The schedule of the workflow, in a CRON expression. Returns null if the schedued trigger is disabled.
- `latest_inactive_verisons` (list of Workflow, optional) — The list of inactive workflow versions retrieved. Maximum number of versions retrieved is 10.
- `name` (string, optional) — The name of the workflow definition.
- `ondemandTrigger` (boolean, optional) — Indicates whether the ondemand trigger is enabled for the workflow.
- `scheduledTrigger` (boolean, optional) — Indicates whether the scheduled trigger is enabled for the workflow.
- `status` (string, optional) — The status of the workflow definition.
- `timezone` (string, optional) — The timezone that is configured for the scheduler of the workflow. Returns null if the scheduled trigger is disabled.
- `updatedAt` (string, optional) — The date and time when the workflow is updated the last time, in the `YYYY-MM-DD HH:MM:SS` format.

### GetWorkflowsResponsePagination

An object containing pagination information for the list of workflows returned by the api

- `next_page` (string, optional) — A string containing the URL where the next page of data can be retrieved.
- `page` (integer, optional) — An integer denoting the current page number.
- `page_length` (integer, optional) — An integer denoting the number of workflows in this response. The maximum value is 50.

### WorkflowDefinitionAndVersionsActiveVersion

Information of the active version.

- `description` (string, optional) — The description of the active version.
- `id` (integer, optional) — The unique ID of the active version.
- `status` (string, optional) — The status of the active version.
- `type` (enum, optional) — The type of the active version. Currently the only valid value is 'Workflow::Setup'.
  - Allowed values: `Workflow::Setup`, `Workflow::Instance`
- `version` (string, optional) — The version number of the active version.

### Workflow

A workflow.

- `calloutTrigger` (boolean, optional) — Indicates whether the callout trigger is enabled for the retrieved workflow.
- `createdAt` (string, optional) — The date and time when the workflow is created, in the `YYYY-MM-DD HH:MM:SS` format.
- `description` (string, optional) — The description of the workflow.
- `id` (integer, optional) — The unique ID of the workflow.
- `interval` (string, optional) — The schedule of the workflow, in a CRON expression. Returns null if the schedued trigger is disabled.
- `name` (string, optional) — The name of the workflow.
- `ondemandTrigger` (boolean, optional) — Indicates whether the ondemand trigger is enabled for the workflow.
- `scheduledTrigger` (boolean, optional) — Indicates whether the scheduled trigger is enabled for the workflow.
- `timezone` (string, optional) — The timezone that is configured for the scheduler of the workflow. Returns null if the scheduled trigger is disabled.
- `type` (enum, optional) — The type of the workflow. Currently the only valid value is 'Workflow::Setup'.
  - Allowed values: `Workflow::Setup`, `Workflow::Instance`
- `updatedAt` (string, optional) — The date and time when the workflow is updated the last time, in the `YYYY-MM-DD HH:MM:SS` format.
- `version` (string, optional) — The version number of the workflow.

## Examples

**Response**

```json
{
  "data": [
    {
      "active_version": {
        "description": "",
        "id": 49,
        "status": "Active",
        "type": "Workflow::Setup",
        "version": "0.0.1"
      },
      "calloutTrigger": true,
      "createdAt": "2019-05-31T14:52:38.171Z",
      "description": "",
      "id": 48,
      "latest_inactive_verisons": [
        {
          "calloutTrigger": true,
          "createdAt": "2021-09-22T19:30:52.350Z",
          "description": "",
          "id": 50,
          "interval": "",
          "name": "test",
          "ondemandTrigger": true,
          "scheduledTrigger": false,
          "timezone": "Sydney",
          "type": "Workflow::Setup",
          "updatedAt": "2021-09-22T19:30:52.350Z",
          "version": "0.0.2",
          "priority": "Medium",
          "status": "Inactive"
        },
        {
          "calloutTrigger": true,
          "createdAt": "2021-09-22T19:30:52.350Z",
          "description": "",
          "id": 51,
          "interval": "",
          "name": "test",
          "ondemandTrigger": true,
          "scheduledTrigger": false,
          "timezone": "Sydney",
          "type": "Workflow::Setup",
          "updatedAt": "2021-09-22T19:30:52.350Z",
          "version": "0.0.3",
          "priority": "Medium",
          "status": "Inactive"
        }
      ],
      "name": "New test workflow",
      "ondemandTrigger": true,
      "scheduledTrigger": false,
      "status": "Active",
      "updatedAt": "2019-06-03T21:02:26.694Z"
    }
  ],
  "pagination": {
    "next_page": "https://rest.zuora.com/workflows?page=2&page_length=1",
    "page": 1,
    "page_length": 1
  }
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/workflows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/workflows';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/workflows"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/workflows")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/workflows")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/workflows', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/workflows");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/workflows")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```